Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364419 - [virt-p2v]Failed to connect to conversion server while testing LSI-mpt2sas hardware which using bnx2x network driver
Summary: [virt-p2v]Failed to connect to conversion server while testing LSI-mpt2sas ha...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libguestfs
Version: 7.3
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Richard W.M. Jones
QA Contact: Virtualization Bugs
URL:
Whiteboard: P2V
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-05 10:13 UTC by zhoujunqin
Modified: 2016-11-03 18:03 UTC (History)
5 users (show)

Fixed In Version: virt-p2v-1.32.6-5.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 18:03:24 UTC


Attachments (Terms of Use)
png-1 (deleted)
2016-08-05 10:13 UTC, zhoujunqin
no flags Details
png-2 (deleted)
2016-08-05 10:14 UTC, zhoujunqin
no flags Details
cannot load fireware file bnx2x while booting (deleted)
2016-08-05 10:16 UTC, zhoujunqin
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2576 normal SHIPPED_LIVE Moderate: libguestfs and virt-p2v security, bug fix, and enhancement update 2016-11-03 12:06:51 UTC

Description zhoujunqin 2016-08-05 10:13:37 UTC
Created attachment 1187820 [details]
png-1

Description of problem:
Failed to connect to conversion server while testing LSI-mpt2sas hardware which using bnx2x network driver,
for virt-p2v cannot load bnx2x network driver.

Version-Release number of selected component (if applicable):
virt-v2v-1.32.6-4.el7.x86_64
libguestfs-1.32.6-4.el7.x86_64

virt-p2v-1.32.6-1.el7.iso

How reproducible:
100%

Steps to Reproduce:
Driver information:
Description         Type         Bus         Driver         Vendor ID         Device ID         Subsys Vendor ID         Subsys Device ID
NetXtreme II BCM57712 10 Gigabit Ethernet         NETWORK         pci         bnx2x         14e4         1662         1028         045f

1. Install rheL7.3-x86_64 on LSI-mpt2sas hardware which using bnx2x network driver.
   After installation finished, login rhel7.3 host, network works well, and check the enabled network's mac address.
   Then shut down.
2. Boot the source machine into p2v client via iso
3. Input correct conversion server ip/'User name'/'Password', then press the 'Test Connection' button.

Actual results:
1.
After 'Test Connection' finished, we get a ssh connection failed error.
ssh: connect to host 10.66.4.197 port 22: Network is unreachable
Details please see png-1

2.Then click XTerm, and run
# ifconfig -a
Result: No active network.

Then run
# ethtool -i eth0(used mac address in step1)
driver: bnx2x
version: 1.712.30-0
firmware-version: FFV7.4.8 bc 7.4.19 phy baa0.20a
bus-info: 0000:01:00.0
supports-statistics: yes
supports-test: yes
supports-eeprom-access: yes
supports-register-dump: yes
supports-priv-flags: yes

# lsmod
Module                  Size   Used by

bnx2x                   74815   0

Result: No bnx2x module loaded, also try to load this driver by manual(# modprobe bnx2x) but get same result.  
        Details please see png-2.

Expected results:
virt-p2v iso should load bnx2x network driver successfully.

Additional info:
I cannot reproduce this issue on old version:
virt-p2v-1.28.1-1.51.3.el7.1.noarch.rpm

Comment 1 zhoujunqin 2016-08-05 10:14:54 UTC
Created attachment 1187821 [details]
png-2

Comment 2 zhoujunqin 2016-08-05 10:16:46 UTC
Created attachment 1187822 [details]
cannot load fireware file bnx2x while booting

Comment 4 Richard W.M. Jones 2016-08-05 13:56:10 UTC
Pino pointed out that the version of linux-firmware that we
are built against is too old to contain the required
firmware (bnx2x-e2-7.13.1.0.fw).

This is contained in more recent linux-firmware, eg:
https://brewweb.engineering.redhat.com/brew/buildinfo?buildID=506832

So we probably need a build override.

Comment 6 zhoujunqin 2016-08-08 03:56:04 UTC
Try to verify this bug with new build:
virt-p2v-1.32.6-5.el7.iso

Conversion server version:
qemu-kvm-rhev-2.6.0-19.el7.x86_64
virt-p2v-1.32.6-5.el7.noarch
virt-v2v-1.32.6-5.el7.x86_64
libguestfs-1.32.6-5.el7.x86_64

Steps:

1. Install rheL7.3-x86_64 on LSI-mpt2sas hardware which using bnx2x network driver.
   After installation finished, login rhel7.3 host, network works well, and check the enabled network's mac address.
   Then shut down.
2. Boot the source machine into p2v client via iso
3. Input correct conversion server ip/'User name'/'Password', then press the 'Test Connection' button.

Result:
1. 'Test Connection' finished with no error and can connect to conversion server successfully with info prompt and 'Next' button is enable.
Connected to the conversion server.
Press the 'Next' button to configure the conversion process.

2. Click 'XTerm' button and check 'eth0' is enabled now.

# ethtool -i eth0
driver: bnx2x
version: 1.712.30-0
firmware-version: FFV7.4.8 bc 7.4.19 phy baa0.20a
bus-info: 0000:01:00.0
supports-statistics: yes
supports-test: yes
supports-eeprom-access: yes
supports-register-dump: yes
supports-priv-flags: yes

Since 'bnx2x' driver can be recognized by virt-p2v boot iso, move this bug from ON_QA to VERIFIED.

Comment 8 errata-xmlrpc 2016-11-03 18:03:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2576.html


Note You need to log in before you can comment on or make changes to this bug.